# AnyWhereClause

    public protocol AnyWhereClause : DeleteClause, QueryClause

Type-erased `Where` clause for protocol utilities.

- `predicate`

  The `NSPredicate` for the fetch or query

  #### Declaration

  Swift

      var predicate: NSPredicate { get }

- `init(_:)`

  Initializes a `Where` clause with an `NSPredicate`

  #### Declaration

  Swift

      init(_ predicate: NSPredicate)

  #### Parameters

  `predicate` | the `NSPredicate` for the fetch or query